Modify

#1062 closed defect (notmyfault)

MSN passport authentication failure (null)

Reported by: f@… Owned by: wilmer
Priority: normal Milestone:
Component: MSN Version: 3.0.5
Keywords: passport, authentication Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: Debian Wheezy

Description

Hi!

My wife has problem with her MSN account. I have verified that the password is correct etc. She's on a Debian wheezy AMD64, and here is the output:

23:00 <@user> account add msn xxxxxxxx@hotmail.com 
23:00 <@root> Account successfully added with tag msn
23:00 <@root> You can now use the /OPER command to enter the password
23:00 <@root> Password added to IM account msn
23:01 <@user> account msn on
23:01 <@root> msn - Logging in: Connecting
23:01 <@root> msn - Logging in: Connected to server, waiting for reply
23:01 <@root> msn - Logging in: Transferring to other server
23:01 <@root> msn - Logging in: Connected to server, waiting for reply
23:01 <@root> msn - Login error: Error during Passport authentication: (null)
23:01 <@root> msn - Logging in: Signing off..
23:01 <@root> msn - Logging in: Reconnecting in 5 seconds..
23:01 <@root> msn - Logging in: Connecting
23:01 <@root> msn - Logging in: Connected to server, waiting for reply
23:01 <@root> msn - Logging in: Transferring to other server
23:01 <@root> msn - Logging in: Connected to server, waiting for reply
23:01 <@root> msn - Login error: Error during Passport authentication: (null)
23:01 <@root> msn - Logging in: Signing off..
23:01 <@root> msn - Logging in: Reconnecting in 15 seconds..
23:01 <@user> account msn off
23:01 <@root> Reconnect cancelled
This is what is installed on the host:
ii  bitlbee                          3.0.5-1.2                  amd64        An IRC to other chat networks gateway (default version)
ii  bitlbee-common                   3.0.5-1.2                  all          An IRC to other chat networks gateway (common files/docs)
ii  openssl                          1.0.1e-2                   amd64        Secure Socket Layer (SSL) binary and related cryptographic tools

Not sure what else to look for. I have also tried the nightly build bitlbee_3.2+20130520+devel+984-1_amd64.deb bitlbee-common_3.2+20130520+devel+984-1_all.deb, but that has the exact same problem. Her Facebook / gtalk account works great in bitlbee, so she's happy about that.

Thanks!

Attachments (0)

Change History (12)

comment:1 Changed at 2013-05-25T10:52:05Z by wilmer

I'll need some more debugging output to see what's happening here:

http://wiki.bitlbee.org/Debugging

comment:2 Changed at 2013-05-31T23:46:41Z by wilmer

Resolution: moreinfo
Status: newclosed

Feel free to reopen if you have more info.

comment:3 Changed at 2013-07-30T08:03:52Z by bitlbee@…

Hi!

I got some debug logs for this. I built bzr-997 to make sure that it was not fixed earlier.

I get the following log when connecting and getting the (null) error: http://pastebin.com/PezJRW1x

This is a "wsse:FailedAuthentication (Authentication Failure)" for comparison: http://pastebin.com/aMMpRACM

The most interesting part is that after hammering the servers for a while, I'm let in. Different servers in the pool that responds in different manners, perhaps?

comment:4 Changed at 2013-08-05T20:41:35Z by Søren Jensen

I have the same experience as the OP. I also believe I am let in after some time, but that could be hours or days. I would think my Skype account and Microsoft Account/MSN accounts have been linked, but no idea if that is relevant.

comment:5 Changed at 2013-08-13T08:57:33Z by f@…

Added debug output here, let me know if you need more.

http://079b72565bc802b8.paste.se/

comment:6 in reply to:  5 Changed at 2013-08-13T08:59:02Z by Fredrik Lundhag <f@…>

Replying to f@…:

Added debug output here, let me know if you need more.

http://079b72565bc802b8.paste.se/

ii bitlbee 3.2+20130714+devel+997-1 amd64

comment:7 Changed at 2013-08-13T09:01:41Z by Fredrik Lundhag <f@…>

Resolution: moreinfo
Status: closedreopened

comment:8 Changed at 2013-08-15T06:05:31Z by anonymous

Seeing this here too. Not that I care so much, but hey, worth mentioning I guess.

comment:9 Changed at 2013-08-18T06:01:54Z by anonymous

I'm getting that same error also, have been getting it for a while. I got 2 different msn accounts in bitlbee with other one working. Disabled the second one to try if that had any effects but no.

I've also got my msn and skype accounts linked.

comment:10 Changed at 2013-11-09T10:08:15Z by anonymous

Not sure if this is helpful - I got 2 msn accounts, other one which is connected to skype is giving me this error and other without the skype connection isn't giving any errors.

comment:11 Changed at 2014-01-08T13:24:34Z by dx <dx@…>

Fix here http://wiki.bitlbee.org/HowtoFixMsn

TL;DR: login.live.com, recent activity, select a security challenge, "this is me".

comment:12 Changed at 2014-02-04T04:01:56Z by dx

Resolution: notmyfault
Status: reopenedclosed

I can close this now! Yay! See link in the previous comment for the fix.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.